Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.composition
Enum LineAlignmentEnum

    java.lang.Object
      java.lang.Enum<LineAlignmentEnum>
          org.pdfclown.documents.contents.composition.LineAlignmentEnum

All Implemented Interfaces:
  Serializable, Comparable<LineAlignmentEnum>

    public enum LineAlignmentEnum

extends Enum<LineAlignmentEnum>

Line alignment.

Since:
  0.1.2
Version:
  0.1.2, 01/20/12
Author:
  Manuel Guilbault (manuel.guilbault@gmail.com), Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`BaseLine` Aligns the baseline of the element with the baseline of the parent element.
`Bottom` The bottom of the element is aligned with the lowest element on the line.
`Middle` The element is placed in the middle of the parent element.
`Sub` Aligns the element as it was subscript.
`Super` Aligns the element as it was superscript.
`Top` The top of the element is aligned with the top of the tallest element on the line.

Method Summary
`static LineAlignmentEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LineAlignmentEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Top

    public static final LineAlignmentEnum Top

  The top of the element is aligned with the top of the tallest element on the line.

### BaseLine

    public static final LineAlignmentEnum BaseLine

  Aligns the baseline of the element with the baseline of the parent element. This is default.

### Middle

    public static final LineAlignmentEnum Middle

  The element is placed in the middle of the parent element.

### Bottom

    public static final LineAlignmentEnum Bottom

  The bottom of the element is aligned with the lowest element on the line.

### Super

    public static final LineAlignmentEnum Super

  Aligns the element as it was superscript.

### Sub

    public static final LineAlignmentEnum Sub

  Aligns the element as it was subscript.

Method Detail

### values

    public static LineAlignmentEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineAlignmentEnum c : LineAlignmentEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineAlignmentEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.